import type { TableProps } from '../types/table';
import type { ColumnPropsEx } from '../types/column';
import type { ComputedRef } from 'vue';
export declare function useTableCache(propsRef: ComputedRef<TableProps>): {
    getCachedColumns: () => any;
    setCachedColumns: (columns: ColumnPropsEx[]) => boolean | undefined;
};
export declare function clearCachedColumns(): void;
